
From: David Howells <dhowells@redhat.com>

The attached patch fixes an uninitialised variable warning in ext3.  The
compiler is wrong in this case because it can't analyse the code sufficiently.

Signed-Off-By: David Howells <dhowells@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/ext3/balloc.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN fs/ext3/balloc.c~ext3-compiler-warning-fix fs/ext3/balloc.c
--- 25/fs/ext3/balloc.c~ext3-compiler-warning-fix	Mon Nov  8 14:48:40 2004
+++ 25-akpm/fs/ext3/balloc.c	Mon Nov  8 14:48:40 2004
@@ -194,8 +194,7 @@ static struct reserve_window_node *searc
 	if (!n)
 		return NULL;
 
-	while (n)
-	{
+	do {
 		rsv = rb_entry(n, struct reserve_window_node, rsv_node);
 
 		if (goal < rsv->rsv_start)
@@ -204,7 +203,7 @@ static struct reserve_window_node *searc
 			n = n->rb_right;
 		else
 			return rsv;
-	}
+	} while (n);
 	/*
 	 * We've fallen off the end of the tree: the goal wasn't inside
 	 * any particular node.  OK, the previous node must be to one
_
